summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlin Năstac <mrness@gentoo.org>2007-02-25 09:57:18 +0000
committerAlin Năstac <mrness@gentoo.org>2007-02-25 09:57:18 +0000
commitfb2f611afa8954361fad80f72716f0fabb7b74d7 (patch)
tree77056272f71606babe56900099b7fc8ea58daa7e /net-misc/quagga/files
parentuse KV_DIR only after linux-mod_pkg_setup, bug 168051 (diff)
downloadgentoo-2-fb2f611afa8954361fad80f72716f0fabb7b74d7.tar.gz
gentoo-2-fb2f611afa8954361fad80f72716f0fabb7b74d7.tar.bz2
gentoo-2-fb2f611afa8954361fad80f72716f0fabb7b74d7.zip
Speed up cleanup of staled zebra routes, thanks to Jan Oravec <jan.oravec at 6com dot sk> (#168247).
(Portage version: 2.1.1-r2)
Diffstat (limited to 'net-misc/quagga/files')
-rw-r--r--net-misc/quagga/files/zebra.init14
1 files changed, 4 insertions, 10 deletions
diff --git a/net-misc/quagga/files/zebra.init b/net-misc/quagga/files/zebra.init
index 45c90bf03736..5ca8ef58c0a8 100644
--- a/net-misc/quagga/files/zebra.init
+++ b/net-misc/quagga/files/zebra.init
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/net-misc/quagga/files/zebra.init,v 1.1 2005/09/14 11:11:08 mrness Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/quagga/files/zebra.init,v 1.2 2007/02/25 09:57:18 mrness Exp $
depend() {
need net
@@ -16,15 +16,9 @@ checkconfig() {
}
cleanup() {
- stale=`ip route | grep 'proto zebra' | awk '{ print $1 }'`
- if [ ! -z "$stale" ] ; then
- einfo "Cleaning up stale zebra routes..."
- fi
- for r in $stale; do
- ebegin "Removing stale route to $r..."
- ip route del $r;
- eend $?
- done
+ ebegin "Cleaning up stale zebra routes..."
+ ip route flush proto zebra
+ eend $?
}
start() {